Bug 867653 - Bug in adwaita-gtk2-theme results in checkbox in firstboot being incorrectly rendered
Bug in adwaita-gtk2-theme results in checkbox in firstboot being incorrectly ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
18
All All
unspecified Severity medium
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-17 19:52 EDT by Adam Williamson
Modified: 2013-04-30 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-22 08:45:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-10-17 19:52:45 EDT
Per https://bugzilla.redhat.com/show_bug.cgi?id=856194#c32 , a bug we were struggling with in firstboot - where it tries to draw a checkbox as 'greyed out but checked', but it shows as 'greyed out and unchecked' - turns out to be a bug in adwaita-gtk2-theme, fixed by upstream http://git.gnome.org/browse/gnome-themes-standard/commit/?id=f9b39e206a25da630506aa160d6a66d236b07616 . Filing this bug so we can track getting the fix in F18 Beta. I don't think it's quite a blocker bug, as firstboot actually *behaves* correctly, but it's clearly confusing to the user so I'm nominating it as NTH. Cosimo, if you could get the update done ASAP that'd be great, thanks!
Comment 1 Cosimo Cecchi 2012-10-18 08:47:59 EDT
Adam, a version of gnome-themes-standard with the fix for this included has been built already and is sumbitted as part of this update

https://admin.fedoraproject.org/updates/FEDORA-2012-16386/alacarte-3.6.1-1.fc18,at-spi2-atk-2.6.1-1.fc18,at-spi2-core-2.6.1-1.fc18,baobab-3.6.2-1.fc18,cheese-3.6.1-1.fc18,clutter-1.12.2-1.fc18,d-feet-0.1.15-1.fc18,empathy-3.6.1-1.fc18,eog-3.6.1-1.fc18,eog-plugins-3.6.1-1.fc18,epiphany-3.6.1-2.fc18,epiphany-extensions-3.6.0-1.fc18,evince-3.6.1-1.fc18,file-roller-3.6.1.1-1.fc18,gcalctool-6.6.1-1.fc18,gcr-3.6.1-1.fc18,gdm-3.6.1-1.fc18,gedit-3.6.1-1.fc18,gedit-code-assistance-0.1.4-1.fc18,gedit-plugins-3.6.1-1.fc18,ghex-3.6.1-1.fc18,glade-3.14.1-1.fc18,glib2-2.34.1-1.fc18,glibmm24-2.33.14-1.fc18,gnome-backgrounds-3.6.1-1.fc18,gnome-common-3.6.0-1.fc18,gnome-contacts-3.6.1-1.fc18,gnome-desktop3-3.6.1-1.fc18,gnome-devel-docs-3.6.1-1.fc18,gnome-documents-3.6.1-1.fc18,gnome-games-3.6.1-1.fc18,gnome-games-extra-data-3.2.0-4.fc18,gnome-keyring-3.6.1-1.fc18,gnome-screensaver-3.6.1-1.fc18,gnome-session-3.6.1-1.fc18,gnome-shell-3.6.1-1.fc18,gnome-system-monitor-3.6.1-1.fc18,gnome-terminal-3.6.1-1.fc18,gnome-themes-standard-3.6.1-3.fc18,gnome-tweak-tool-3.6.1-1.fc18,gnome-user-docs-3.6.1-1.fc18,gobject-introspection-1.34.1.1-1.fc18,grilo-0.2.2-1.fc18,grilo-plugins-0.2.2-1.fc18,gtk3-3.6.1-1.fc18,gucharmap-3.6.0-1.fc18,libcroco-0.6.7-1.fc18,libgee06-0.6.6-1.fc18,libgweather-3.6.1-1.fc18,libpeas-1.6.1-1.fc18,librsvg2-2.36.4-1.fc18,libsecret-0.11-1.fc18,libsoup-2.40.1-1.fc18,libxml++-2.35.4-1.fc18,mm-common-0.9.6-1.fc18,mutter-3.6.1-1.fc18,nautilus-3.6.1-1.fc18,orca-3.6.1-1.fc18,pygobject3-3.4.1.1-1.fc18,rhythmbox-2.98-4.fc18,seahorse-3.6.1-1.fc18,seahorse-nautilus-3.6.1-1.fc18,vinagre-3.6.1-1.fc18,vino-3.6.1-1.fc18,vte3-0.34.1-1.fc18,webkitgtk3-1.10.1-1.fc18,yelp-3.6.1-1.fc18,yelp-tools-3.6.1-1.fc18,yelp-xsl-3.6.1-1.fc18,gnome-online-accounts-3.6.1-1.fc18?_csrf_token=3935f7593883c2d941a1555fd940991bb867bd97
Comment 2 Kamil Páral 2012-10-18 09:00:10 EDT
Cosimo, using just the update ID in URL is enough:
https://admin.fedoraproject.org/updates/FEDORA-2012-16386
;-)

Thanks!

I'll try to re-test once it is pushed to testing.
Comment 3 Adam Williamson 2012-10-19 02:17:32 EDT
kalev should be able to edit the update and mark it as fixing the bug, or we can just handle it manually. Setting ON_QA to reflect the fact that it's in updates-testing.
Comment 4 Kamil Páral 2012-10-22 08:45:07 EDT
Anaconda made root password mandatory, that means firstboot is no longer affected by this bug (it won't display checked and greyed out checkbox now). The update is in stable. I'm closing this.
Comment 5 Adam Williamson 2012-10-22 20:49:52 EDT
"Anaconda made root password mandatory, that means firstboot is no longer affected by this bug (it won't display checked and greyed out checkbox now)"

That's not correct. It made the root password *spoke* mandatory. If you enter the spoke and leave it without typing anything, you get the 'locked root account' configuration.

This is terrible UI, but hey.
Comment 6 Adam Williamson 2012-10-22 23:51:12 EDT
confirming the checkbox issue is fixed in tc6.
Comment 7 Kamil Páral 2012-10-23 04:15:25 EDT
(In reply to comment #5)
> That's not correct. It made the root password *spoke* mandatory. If you
> enter the spoke and leave it without typing anything, you get the 'locked
> root account' configuration.

Ah, thanks. I completely forgot about that.

Note You need to log in before you can comment on or make changes to this bug.